org.apache.poi.ss.formula

## Class EvaluationConditionalFormatRule.ValueAndFormat

- java.lang.Object
- - org.apache.poi.ss.formula.EvaluationConditionalFormatRule.ValueAndFormat

- All Implemented Interfaces:
    java.lang.Comparable<EvaluationConditionalFormatRule.ValueAndFormat>
  Enclosing class:
    EvaluationConditionalFormatRule

      protected static class EvaluationConditionalFormatRule.ValueAndFormat
      extends java.lang.Object
      implements java.lang.Comparable<EvaluationConditionalFormatRule.ValueAndFormat>

  Note: this class has a natural ordering that is inconsistent with equals.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueAndFormat(java.lang.Double value, java.lang.String format, java.text.DecimalFormat df)`
    `ValueAndFormat(java.lang.String value, java.lang.String format)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(EvaluationConditionalFormatRule.ValueAndFormat o)` Note: this class has a natural ordering that is inconsistent with equals.
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getString()`
    `java.lang.Double` | `getValue()`
    `int` | `hashCode()`
    `boolean` | `isNumber()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueAndFormat

          public ValueAndFormat(java.lang.Double value,
                                java.lang.String format,
                                java.text.DecimalFormat df)

    - #### ValueAndFormat

          public ValueAndFormat(java.lang.String value,
                                java.lang.String format)

  - ### Method Detail

    - #### isNumber

          public boolean isNumber()

    - #### getValue

          public java.lang.Double getValue()

    - #### getString

          public java.lang.String getString()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(EvaluationConditionalFormatRule.ValueAndFormat o)

      Note: this class has a natural ordering that is inconsistent with equals.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<EvaluationConditionalFormatRule.ValueAndFormat>`
      Parameters:
        `o` -
      Returns:
        value comparison

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.